Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsproperties
Class RestrictionTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          edu.stanford.smi.protegex.owl.ui.clsproperties.RestrictionTreeNode

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, Cloneable, MutableTreeNode, TreeNode

Direct Known Subclasses:
  NewRestrictionTreeNode, OldRestrictionTreeNode

    public abstract class RestrictionTreeNode

extends DefaultMutableTreeNode
implements edu.stanford.smi.protege.util.Disposable

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`RestrictionTreeNode()`

Method Summary
`abstract void` | `checkExpression(String text)`
`void` | `dispose()`
`abstract String` | `getFillerText()`
`abstract Icon` | `getIcon()`
`abstract RDFSClass` | `getInheritedFromClass()`
`abstract char` | `getOperator()`
`String` | `getOperatorName()`
`PropertyTreeNode` | `getParentNode()`
`abstract edu.stanford.smi.protege.model.Cls` | `getRestrictionMetaCls()`
`abstract boolean` | `isInherited()`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestrictionTreeNode

    public RestrictionTreeNode()

Method Detail

### checkExpression

    public abstract void checkExpression(String text)
                                  throws Throwable

  Throws:
    `Throwable`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getFillerText

    public abstract String getFillerText()

### getIcon

    public abstract Icon getIcon()

### getInheritedFromClass

    public abstract RDFSClass getInheritedFromClass()

### getOperator

    public abstract char getOperator()

### getOperatorName

    public String getOperatorName()

### getParentNode

    public PropertyTreeNode getParentNode()

### getRestrictionMetaCls

    public abstract edu.stanford.smi.protege.model.Cls getRestrictionMetaCls()

### isInherited

    public abstract boolean isInherited()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.